# Uses of Enum Class
org.apache.solr.common.cloud.Replica.Type

Packages that use Replica.Type
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of Replica.Type in org.apache.solr.client.solrj.request

Fields in org.apache.solr.client.solrj.request declared as Replica.Type
Modifier and Type
Field
Description
`protected Replica.Type`
CollectionAdminRequest.AddReplica.`type`
Methods in org.apache.solr.client.solrj.request with parameters of type Replica.Type
Modifier and Type
Method
Description
`static CollectionAdminRequest.AddReplica`
CollectionAdminRequest.`addReplicaToShard(String collection, String shard, Replica.Type replicaType)`
Returns a SolrRequest to add a replica of the specified type to a shard in a collection.
`int`
CollectionAdminRequest.AddReplica.`getNumReplicas(Replica.Type type)`
`Integer`
CollectionAdminRequest.Create.`getNumReplicas(Replica.Type type)`
`int`
CollectionAdminRequest.Restore.`getNumReplicas(Replica.Type type)`
`CollectionAdminRequest.AddReplica`
CollectionAdminRequest.AddReplica.`setNumReplicas(Replica.Type type, Integer count)`
`CollectionAdminRequest.Create`
CollectionAdminRequest.Create.`setNumReplicas(Replica.Type type, Integer count)`
`CollectionAdminRequest.Restore`
CollectionAdminRequest.Restore.`setNumReplicas(Replica.Type type, Integer count)`
`CollectionAdminRequest.AddReplica`
CollectionAdminRequest.AddReplica.`setType(Replica.Type type)`

## Uses of Replica.Type in org.apache.solr.common.cloud

Fields in org.apache.solr.common.cloud declared as Replica.Type
Modifier and Type
Field
Description
`final Replica.Type`
Replica.`type`
`final Replica.Type`
ReplicaPosition.`type`
Methods in org.apache.solr.common.cloud that return Replica.Type
Modifier and Type
Method
Description
`static Replica.Type`
Replica.Type.`defaultType()`
Returns a default replica type.
`static Replica.Type`
Replica.Type.`get(String name)`
`Replica.Type`
ReplicaCount.`getLeaderType()`
Returns the first non-zero replica type that can be a leader.
`Replica.Type`
Replica.`getType()`
`static Replica.Type`
Replica.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Replica.Type[]`
Replica.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.solr.common.cloud that return types with arguments of type Replica.Type
Modifier and Type
Method
Description
`Set<Replica.Type>`
ReplicaCount.`keySet()`
Returns the replica types for which a number of replicas was explicitly defined.
Methods in org.apache.solr.common.cloud with parameters of type Replica.Type
Modifier and Type
Method
Description
`boolean`
ReplicaCount.`contains(Replica.Type type)`
Returns whether the number of replicas for a given type was explicitly defined.
`void`
ReplicaCount.`decrement(Replica.Type type)`
Decrement the number of replicas for a given type.
`int`
ReplicaCount.`get(Replica.Type type)`
Returns the number of replicas for a given type.
`int`
DocCollection.`getNumReplicas(Replica.Type type)`
`void`
ReplicaCount.`increment(Replica.Type type)`
Increment the number of replicas for a given type.
`static ReplicaCount`
ReplicaCount.`of(Replica.Type type, Integer count)`
`void`
ReplicaCount.`put(Replica.Type type, Integer count)`
Defines the number of replicas for a given type.
Method parameters in org.apache.solr.common.cloud with type arguments of type Replica.Type
Modifier and Type
Method
Description
`List<Replica>`
Slice.`getReplicas(EnumSet<Replica.Type> s)`
Gets the list of replicas that have a type present in s
Constructors in org.apache.solr.common.cloud with parameters of type Replica.Type
Modifier
Constructor
Description
``
`Replica(String name, String node, String collection, String shard, String core, Replica.State state, Replica.Type type, Map<String,Object> props)`
``
`ReplicaPosition(String collection, String shard, int replicaIdx, Replica.Type type)`
``
`ReplicaPosition(String collection, String shard, int replicaIdx, Replica.Type type, String node)`